apiVersion: apps/v1
kind: Deployment
metadata:
  name: eclipsefdn-membership-application-staging
  namespace: foundation-internal-webdev-apps
  labels:
    app: eclipsefdn-membership-application
    environment: staging
spec:
  selector:
    matchLabels:
      app: eclipsefdn-membership-application
      environment: staging
  replicas: 1
  template:
    metadata:
      labels:
        app: eclipsefdn-membership-application
        environment: staging
    spec:
      automountServiceAccountToken: false
      affinity:
        nodeAffinity:
          preferredDuringSchedulingIgnoredDuringExecution:
          - preference:
              matchExpressions:
              - key: speed
                operator: NotIn
                values:
                - fast
            weight: 1
      containers:
      - name: application-api
        image: eclipsefdn/eclipsefdn-membership-application:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 8093
        resources:
          limits:
            cpu: 300m
            memory: 384Mi
          requests:
            cpu: 300m
            memory: 384Mi
        env:
        - name: CONFIG_SECRET_PATH
          value: "/run/secrets/eclipsefdn-membership-application/secret.properties"
        volumeMounts:
        - name: application-secret-properties
          mountPath: "/run/secrets/eclipsefdn-membership-application"
          readOnly: true
      - name: nginx
        image: eclipsefdn/eclipsefdn-react-membership-www:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
        resources:
          limits:
            cpu: '1'
            memory: 192Mi
          requests:
            cpu: 200m
            memory: 192Mi
      volumes:
      - name: application-secret-properties
        secret:
          secretName: eclipsefdn-membership-application-staging-sb
---
apiVersion: "v1"
kind: "Service"
metadata:
  name: eclipsefdn-membership-application-staging
  namespace: foundation-internal-webdev-apps
spec:
  ports:
  - port: 80
    protocol: "TCP"
    targetPort: 8080
  selector:
    app: eclipsefdn-membership-application
    environment: staging
---
apiVersion: "route.openshift.io/v1"
kind: "Route"
metadata:
  name: eclipsefdn-membership-application-staging-api
  namespace: foundation-internal-webdev-apps
  annotations:
    haproxy.router.openshift.io/timeout: 20s
    haproxy.router.openshift.io/disable_cookies: "true"
spec:
  host: "membership-sandbox.eclipse.org"
  path: "/application_api"
  port:
    targetPort: 8080
  tls:
    insecureEdgeTerminationPolicy: "Redirect"
    termination: "edge"
  to:
    kind: "Service"
    name: eclipsefdn-membership-application-staging
    weight: 100
